Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfTableType

    java.lang.Object
      java.lang.Enum<OdfTableType>
          org.odftoolkit.odfdom.dom.type.text.OdfTableType

All Implemented Interfaces:
  Serializable, Comparable<OdfTableType>

    public enum OdfTableType

extends Enum<OdfTableType>

DOM implementation of OpenDocument attribute text:table-type.

Enum Constant Summary
`COMMAND`
`QUERY`
`TABLE`

Method Summary
`static OdfTableType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTableType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TABLE

    public static final OdfTableType TABLE

### COMMAND

    public static final OdfTableType COMMAND

### QUERY

    public static final OdfTableType QUERY

Method Detail

### values

    public static OdfTableType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTableType c : OdfTableType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTableType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTableType>`
  Returns:
    return the name of OdfTableType

### toString

    public static String toString(OdfTableType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTableType, see text:table-type
  Returns:
    return the name of OdfTableType

### enumValueOf

    public static OdfTableType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTableType
  Returns:
    return the constant of OdfTableType, see text:table-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.